function barcode_erstellen(Eingabe,schmal,breit)
%%-------------------------------------------------------------------------
%       PROGRAM:    barcode_erstellen(Eingabe,schmal,breit)
%       VERSION:    1.01
%          DATE:    2015-05-02
%   DESCRIPTION:    Program creates user defiend barcodes in CODE39
%                   notation.
%   
%        AUTHOR:    Steffen Schulze Middendorf
%
%         INPUT:    Eingabe: Type in what you want to transform into CODE39 
%                            notation. Function works exclusively with 
%                            capital letters and numbers. 
%                            In addition: '-';'.';' ';'$';'/';'+';'%'
%                   schmal:  Declare thickness of slender element in pixel
%                   breit:   Declare thickness of a wide element in pixel
%                            pixel
%
%                   Rrelation between slender and wide have to be 1:2.
%        
%        OUTPUT:    This progamm creates a new .JPG file in the program
%                   folder. Content of this image is the created barcode.
%                   Name of this file and data content of the barcode 
%                   are the same. Each barcode starts and ends with a '*'
%                   automatically.
%
%       EXAMPLE:    barcode_erstellen('HSHL',50,100)
%
%    DISCLAIMER:    This program is freeware. Use at your own risk. 
%                   Provided without any warranty
%--------------------------------------------------------------------------

%% Informationen einlesen und leeres Bild erstellen

%Gre des Barcodes in Pixel bestimmmen aus Anzahl Zeichen + Zusatzlcken
%+2 fr START STOPP Zeichen -1 FR Lcke zum Schluss
Laenge=(6*schmal+3*breit)*(length(Eingabe)+2)+((length(Eingabe)+1)*schmal);

%Leeres schwarzes Bild(CODE39) in bentigter Breite und Hhe erstellen,
%Standarthhe ist zehnfache breite eines breiten Elements.
CODE39 = zeros(10*breit,Laenge,3);

%Startpunkt in x festlegen(Pixelspalte)
Startpunkt=0;

%% Startzeichen, Eingabe und Endzeichen in CODE39 notation in leeres Bild einfgen

% Insgesamt besteht jeder CODE39 barcode aus 4 verschiedenen Elementen.
% Zur Erstellung jedes dieser Elemente existiert eine Erstellungsfunktion.
% schmal_strich(Startpunkt,Bild,schmal);
% schmal_luecke(Startpunkt,Bild,schmal);
% breit_luecke(Startpunkt,Bild,breit);
% breit_strich(Startpunkt,Bild,breit);

%Startzeichen "*" einfgen
[Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
[Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
[Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
[Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
[Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
[Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
[Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
[Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
[Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
[Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
%Jedes Zeichen beginnt mit einem Strich und endet mit einer schmalen Lcke
%Schleife durchluft jedes einzelne Teichen der Eingabe und codiert es in 
%die entsprechende Strich/Lcke Kombination. Nach CODE39 Standart. 

for i=1:length(Eingabe)
    if Eingabe(i) == '0'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        %Jede Element-Erstellfunktion bekommt den bisherigen erstellten CODE
        %die jeweiligen Paramter fr breit und schmal sowie den Startpunkt
        %fr die Erstellung Ihres nchsen Elemements bergeben.
        %Rckgabewerte sind der neue CODE und der neue Startpunkt.
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);    
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);   
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);    
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);  
    end

    if Eingabe(i) == '1'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);   
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
   
    if Eingabe(i) == '2'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == '3'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == '4'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);    
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);    
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end

    if Eingabe(i) == '5'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);    
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);    
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == '6'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);    
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);    
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == '7'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == '8'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == '9'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);  
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'A'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'B'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
            
    if Eingabe(i) == 'C'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'D'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
            
    if Eingabe(i) == 'E'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end

    if Eingabe(i) == 'F'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'G'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
            
    if Eingabe(i) == 'H'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
          
    if Eingabe(i) == 'I'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'J'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);  
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'K'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal); 
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'L'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'M'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'N'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'O'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'P'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'Q'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'R'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'S'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'T'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'U'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end  
    
    if Eingabe(i) == 'V'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'W'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'X'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'Y'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == 'Z'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == '-'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == '.'
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == ' '
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit); 
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == '$'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == '/'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
                    
    if Eingabe(i) == '+'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
    
    if Eingabe(i) == '%'
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
        [Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
        [Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
    end
end

%Endzeichen "*" einfgen
[Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
[Startpunkt,CODE39] = breit_luecke(Startpunkt,CODE39,breit);
[Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);
[Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
[Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
[Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
[Startpunkt,CODE39] = breit_strich(Startpunkt,CODE39,breit);
[Startpunkt,CODE39] = schmal_luecke(Startpunkt,CODE39,schmal);
[Startpunkt,CODE39] = schmal_strich(Startpunkt,CODE39,schmal);

%% Dateiname zusammensetzen aus Eingabetext und Endung '.JPG' und Bild auf Festplatte schreiben

%Dateiname zusammensetzen
a{1} = Eingabe;
a{2} = '.JPG';
Dateiname = [a{1} a{2}];
%Datei auf Festplatte schreiben
imwrite(CODE39,Dateiname)
Ausgabetext=['Generation and saving of ',Dateiname,' completed succesfully.'];
disp('-----------------------------------------------------------')
disp(Ausgabetext)
disp('-----------------------------------------------------------')
end